#
# spec file for package utfcpp
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2024 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           utfcpp
Version:        4.0.5
Release:        1.3
Summary:        A library for handling UTF-8 encoded strings
License:        BSL-1.0
URL:            https://github.com/nemtrif/utfcpp
Source:         %{name}-%{version}.tar.xz
Patch0:         utfcpp-4.0.5-cmake-location.patch
BuildRequires:  c++_compiler
BuildRequires:  cmake >= 3.14
BuildArch:      noarch

%description
A C++ library for handling UTF-8 encoded strings.

%package devel
Summary:        A library for handling UTF-8 encoded strings

%description devel
A C++ library for handling UTF-8 encoded strings.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENSE
%doc README.md
%{_includedir}/utf8cpp
%{_datadir}/cmake/utf8cpp

%changelog
* Wed Feb 21 2024 Andreas Stieger <andreas.stieger@gmx.de>
- update to 4.0.5:
  * cmake fixes
- drop no-cpp17-tests.patch
- drop old-cmake.patch
- add utfcpp-4.0.5-cmake-location.patch
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Thu Apr 27 2023 Fridrich Strba <fstrba@suse.com>
- Added patch:
  * old-cmake.patch
    + allow building with older cmake on SLE15
- Modified patch:
  * no-cpp17-tests.patch
    + regenerate to changed context
* Tue Jan  3 2023 Dirk Müller <dmueller@suse.com>
- update to v3.2.3:
  * A minor release that includes a fix for Clang Compiler Warnings
    and build system improvements
* Mon Nov  7 2022 Dirk Müller <dmueller@suse.com>
- update to 3.2.2:
  Minor changes that eliminate some conversion warnings in some cases.
* Wed Oct 20 2021 Fridrich Strba <fstrba@suse.com>
- Added patch:
  * no-cpp17-tests.patch
    + do not run cpp17 tests when building on SLE12
* Sat Jul 10 2021 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.2.1
  * Fix the inclusion of both cpp11 and cpp17 headers on C++17
    compilation. Also some additional tests for using string
    literals and string objects with modern compilers.
  version 3.2:
  * Optional support for C++ 17 std::string_view.
- Drop utfcpp-use_system_gtest.patch (merged upstream)
- Switch to _service to make up for incomplete upstream tarball
* Thu Nov 26 2020 Dirk Mueller <dmueller@suse.com>
- update to 3.1.2:
  * compilation fixes
* Thu Sep 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 3.1.1:
  Include the commits from the previous year.
- install license + README
* Sat Feb  8 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.1
  * new API call: unchecked::replace_invalid().
  * changes in testing and installation.
  version 3.0.3:
  * Fix link failure when including utf8.h in multiple files.
  version 3.0.2:
  * Fix project version number in CMakeLists.txt
  version 3.0.1:
  * Fix for a header guard.
  version 3.0:
  * New convenience API for C++ 11 and later compilers. The
    library still works with C++ 98/03 compliant compilers, just
    without the new functions.
  * advance() function works in both directions.
  * Removed deprecated funtions
    + previous() - deprecated since version 1.02.
    + is_bom() - deprecated since version 2.3.
  version v2.3.5:
  * Minor bug and warning fixes. Improved CMake support.
- Switched to maintained github upstream branch and removed
  _service file
- Added tests and utfcpp-use_system_gtest.patch
- Spec cleanup
* Thu Jan 15 2015 jmatejka@suse.cz
- Initial package version 2.3.4
